Summary:	GStreamer 0.10 Python bindings
Summary(pl.UTF-8):	Wiązania języka Python do GStreamera 0.10
Name:		python-gstreamer0.10
Version:	0.10.22
Release:	2
License:	LGPL v2+
Group:		Libraries/Python
Source0:	http://gstreamer.freedesktop.org/src/gst-python/gst-python-%{version}.tar.bz2
# Source0-md5:	937152fe896241f827689f4b53e79b22
URL:		http://gstreamer.freedesktop.org/modules/gst-python.html
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10
BuildRequires:	glib2-devel >= 1:2.8.0
BuildRequires:	gstreamer0.10-devel >= 0.10.32
BuildRequires:	gstreamer0.10-plugins-base-devel >= 0.10.32
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	libtool >= 1.4
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-pygobject-devel >= 2.15.0
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Requires:	glib2 >= 1:2.8.0
Requires:	gstreamer0.10 >= 0.10.32
Requires:	gstreamer0.10-plugins-base >= 0.10.32
Requires:	python-pygobject >= 2.15.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GStreamer 0.10 Python bindings.

%description -l pl.UTF-8
Wiązania języka Python do GStreamera 0.10.

%package devel
Summary:	Development files and examples for GStreamer 0.10 Python bindings
Summary(pl.UTF-8):	Pliki programistyczne i przykłady dla wiązań Pythona do GStreamera 0.10
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer0.10-devel >= 0.10.32
Requires:	python-pygobject-devel >= 2.15.0

%description devel
Development files and examples for GStreamer 0.10 Python bindings.

%description devel -l pl.UTF-8
Pliki programistyczne i przykłady dla wiązań Pythona do GStreamera
0.10.

%prep
%setup -q -n gst-python-%{version}

%build
%{__libtoolize}
%{__aclocal} -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	examplesdir=%{_examplesdir}/%{name}-%{version}

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}

%py_postclean

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-*/*.la
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/gst-*/gst/*.la
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS RELEASE TODO
%attr(755,root,root) %{_libdir}/gstreamer-0.10/libgstpython.so
%attr(755,root,root) %{py_sitedir}/gstoption.so
%dir %{py_sitedir}/gst-0.10
%dir %{py_sitedir}/gst-0.10/gst
%attr(755,root,root) %{py_sitedir}/gst-0.10/gst/_gst.so
%attr(755,root,root) %{py_sitedir}/gst-0.10/gst/audio.so
%attr(755,root,root) %{py_sitedir}/gst-0.10/gst/tag.so
%attr(755,root,root) %{py_sitedir}/gst-0.10/gst/video.so
%attr(755,root,root) %{py_sitedir}/gst-0.10/gst/interfaces.so
%attr(755,root,root) %{py_sitedir}/gst-0.10/gst/pbutils.so
%{py_sitedir}/gst-0.10/gst/__init__.py[co]
%dir %{py_sitedir}/gst-0.10/gst/extend
%{py_sitedir}/gst-0.10/gst/extend/*.py[co]
%{py_sitedir}/pygst.pth
%{py_sitedir}/pygst.py[co]

%files devel
%defattr(644,root,root,755)
%{_includedir}/gstreamer-0.10/gst/pygst.h
%{_includedir}/gstreamer-0.10/gst/pygstexception.h
%{_includedir}/gstreamer-0.10/gst/pygstminiobject.h
%{_includedir}/gstreamer-0.10/gst/pygstvalue.h
%dir %{_datadir}/gst-python
%dir %{_datadir}/gst-python/0.10
%{_datadir}/gst-python/0.10/defs
%{_pkgconfigdir}/gst-python-0.10.pc
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Dec 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-gstreamer0.10.git;a=log;h=master

* Sun Oct 27 2013 Jakub Bogusz <qboosh@pld-linux.org> b76758c
- copied gstreamer0.10 binding as python-gstreamer0.10

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 331cb3a
- release 2 (by relup.sh)

* Thu Nov 03 2011 Jakub Bogusz <qboosh@pld-linux.org> e06094a
- updated to 0.10.22

* Sat Jan 22 2011 Jakub Bogusz <qboosh@pld-linux.org> e06bc97
- updated to 0.10.21

* Fri Dec 10 2010 Jakub Bogusz <qboosh@pld-linux.org> 369bd81
- updated to 0.10.20

* Wed Nov 24 2010 hawk <hawk@pld-linux.org> 1628417
- release 3

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 8156cd4
- release 2

* Tue Aug 24 2010 Patryk Zawadzki <patrys@room-303.com> 4516cb5
- 0.10.19

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 401f3d8
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2765897
- release 2

* Thu Nov 26 2009 sparky <sparky@pld-linux.org> 25f04e4
- BR: rpm-pythonprov
- sorted headers

* Sat Sep 12 2009 Patryk Zawadzki <patrys@room-303.com> f0e4623
- 0.10.16

* Fri Jun 05 2009 Marcin Banasiak <marcin.banasiak@gmail.com> a192832
- updated to 0.10.15

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 8dbb251
- up to 0.10.14
- cleaning
- %files

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 284b2d7
- release 2

* Wed Jun 18 2008 Patryk Zawadzki <patrys@room-303.com> 1f128a8
- 0.10.12

* Mon Apr 07 2008 deejay1 <deejay1@pld-linux.org> 00caada
- updated to 0.10.11

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 7b006e5
- updated to 0.10.10
- separated devel part

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 6642afc
- updated to 0.10.9
- License is LGPL v2+

* Tue Aug 07 2007 Patryk Zawadzki <patrys@room-303.com> a8a2c6a
- 0.10.8

